#
# spec file for package python3-susepubliccloudinfo
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define upstream_name susepubliccloudinfo
Name:           python3-susepubliccloudinfo
Version:        1.4.0
Release:        1.8
Summary:        Query SUSE Public Cloud Info Service
License:        GPL-3.0-or-later
Group:          System/Management
URL:            https://github.com/SUSE-Enceladus/public-cloud-info-client
Source0:        %{upstream_name}-%{version}.tar.bz2
Requires:       python3
Requires:       python3-docopt
Requires:       python3-lxml
Requires:       python3-requests
BuildRequires:  python-rpm-macros
BuildRequires:  python3-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

Provides:       python-susepubliccloudinfo = %{version}
Obsoletes:      python-susepubliccloudinfo < %{version}

%description
Query the SUSE Public Cloud Information Service REST API

%prep
%setup -q -n %{upstream_name}-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
install -d -m 755 %{buildroot}/%{_mandir}/man1
install -m 644 man/man1/pint.1 %{buildroot}/%{_mandir}/man1
gzip %{buildroot}/%{_mandir}/man1/pint.1

%files
%defattr(-,root,root,-)
%license LICENSE
%{_mandir}/man1/*
%dir %{python3_sitelib}/susepubliccloudinfoclient
%{python3_sitelib}/*
%{_bindir}/pint

%changelog
* Thu Mar 31 2022 Robert Schweikert <rjschwei@suse.com>
- Update to version 1.4.0
  + Provide message when no regions or no images are found via cli and
    XML output is requested
* Wed Mar 30 2022 Robert Schweikert <rjschwei@suse.com>
- Update to version 1.3.1
  + Fix API breakage introduced with 1.3.0
- From 1.3.0
  + Update man page
  + Provide message when no regions or no images are found via cli
* Fri Dec 17 2021 Sean Marlow <sean.marlow@suse.com>
- Add rpm-macros to build requirements in spec.
* Wed Sep  2 2020 Robert Schweikert <rjschwei@suse.com>
- Update to version 1.2.2 (bsc#1176102, bsc#1176103)
  + Support query for providers/frameworks, regions, and image states
* Fri Aug  2 2019 James Mason <bear454@opensuse.org>
- Update to version 1.2.1 (bsc#1144100, bsc#1144102)
  + Support 'oracle' framework for images only
* Fri Aug  2 2019 James Mason <bear454@opensuse.org>
- Update to version 1.2.0 (bsc#1144100, bsc#1144102)
  + Support 'oracle' framework
* Thu Jan 10 2019 Robert Schweikert <rjschwei@suse.com>
- Update to version 1.1.0 (bsc#1121151, bsc#1121150)
  + Support new inactive state
  + Remove awscvsgen and associated subpackage
* Fri Aug  3 2018 rjschwei@suse.com
- Update to version 1.0.4 (bsc#1103684)
  + Avoid traceback on improper query options
* Wed Apr 11 2018 rjschwei@suse.com
- Update to version 1.0.3 (bsc#1089196)
  + Make request implementation to access pint server usable as library
* Fri Jan 19 2018 rjschwei@suse.com
- Update to version 1.0.2
  + Fix data output
- From 1.0.1
  + Improve from source install
* Thu Aug 10 2017 sean.marlow@suse.com
- Update to version 1.0.0
  + Port to python3
* Mon Apr 17 2017 bear454@opensuse.org
- Update to version 0.4.0 (bsc#1034497)
  + Add type filter for servers
  + Remove HP Helion support
* Thu Mar  3 2016 jgleissner@suse.com
- removed __pycache__ and .pyc files from tar ball
* Wed Mar  2 2016 jgleissner@suse.com
- v0.3.0
  + pep8 fixes
  + Fix exception when the service pack command line option was used
  + show an error message instead of traceback on connection error
  + error messages should write to stderr by default
  + added regex and invert substring filters
* Sat Nov 21 2015 rjschwei@suse.com
- Update to version 0.2.1
  + Pretty print the output
* Wed Oct  7 2015 bear454@opensuse.org
- v0.2.0r1
  + fix up permissions on amazon data generation binary
* Wed Oct  7 2015 bear454@opensuse.org
- v0.2.0
  + add Amazon data generation
  + add missing dependency python-requests BSC#949281
* Thu Oct  1 2015 bear454@opensuse.org
- v0.1.4
  + Cross-compatible with Python 2.6 (SLE 11)
  + Submit to SLE 11 & SLE 12 Public Cloud Modules FATE#319399 BSC#943490
* Thu Sep 24 2015 bear454@opensuse.org
- v0.1.3
  + name filter is case-insensitive
* Wed Sep 16 2015 jmason@suse.com
- v0.1.2
  + Updated manpage
  + Include in SLE 12 (FATE#319399)
* Tue Sep 15 2015 jmason@suse.com
- v0.1.1
  + Resolve a path generation issue
    https://github.com/SUSE/Enceladus/issues/51
* Thu Sep  3 2015 jmason@suse.com
- v0.1.0
  + Added filters
* Sat Jul  4 2015 rjschwei@suse.com
- Initial build version 0.0.1
